petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerASCIISynchronizedPrintf

Prints synchronized output to the specified file from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIISynchronizedPrintf(PetscViewer viewer,const char format[],...)

Not Collective, must call collective PetscViewerFlush() to get the results out Many br

### Input Parameters

| viewer | - the ASCII PetscViewer Many br
| format | - the usual printf() format string Many br

Many br

Notes: You must have previously called PetscViewerASCIISynchronizeAllow() to allow this routine to be called. Many br

### Fortran Note

Can only print a single character* string Many br

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(), PetscFPrintf(),
PetscFOpen(), PetscViewerFlush(), PetscViewerASCIIGetPointer(), PetscViewerDestroy(), PetscViewerASCIIOpen(), Many brPetscViewerASCIIPrintf(), PetscViewerASCIIPushSynchronized() Many br

Level:intermediate
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages